Bug 258029 - sysutils/monit: Update to 5.29.0
Summary: sysutils/monit: Update to 5.29.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-24 17:58 UTC by Martin Pala
Modified: 2021-09-20 21:33 UTC (History)
2 users (show)

See Also:


Attachments
patch for 5.28.1 -> 5.29.0 update (849 bytes, patch)
2021-08-24 17:58 UTC, Martin Pala
martinp: maintainer-approval+
Details | Diff
output of: make stage-qa (111 bytes, text/plain)
2021-08-24 17:59 UTC, Martin Pala
no flags Details
output of: portlint (12 bytes, text/plain)
2021-08-24 17:59 UTC, Martin Pala
no flags Details
output of: make check-plist (108.33 KB, text/plain)
2021-08-24 18:00 UTC, Martin Pala
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Pala 2021-08-24 17:58:42 UTC
Created attachment 227409 [details]
patch for 5.28.1 -> 5.29.0 update

Update of Monit port to 5.29.0, patch attached + output of: portlint, make check-plist, make stage-qa.

This update fixes also Bug 257941 (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257941)

Thanks,
Martin
Comment 1 Martin Pala 2021-08-24 17:59:32 UTC
Created attachment 227410 [details]
output of: make stage-qa
Comment 2 Martin Pala 2021-08-24 17:59:50 UTC
Created attachment 227411 [details]
output of: portlint
Comment 3 Martin Pala 2021-08-24 18:00:12 UTC
Created attachment 227412 [details]
output of: make check-plist
Comment 4 Nuno Teixeira freebsd_committer 2021-08-24 21:28:10 UTC
Hello,

1. use DISTVERSION instead of PORTVERSION:
---
https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-naming
---

2. small fix using alphabetical order in PORTDOCS:
---
+PORTDOCS=      CHANGES COPYING
-PORTDOCS=      COPYING CHANGES
---

What do you think? If it is ok, please update your patch

Thanks
Comment 5 Fernando Apesteguía freebsd_committer 2021-08-25 06:51:32 UTC
I'll take this one, closely related to bug #257941
Comment 6 commit-hook freebsd_committer 2021-08-25 07:46:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6234479982621235dc99824a812cd9ee11dbbf93

commit 6234479982621235dc99824a812cd9ee11dbbf93
Author:     Martin Pala <martinp@tildeslash.com>
AuthorDate: 2021-08-25 06:51:41 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-08-25 07:40:25 +0000

    sysutils/monit: Update to 5.29.0

    ChangeLog: https://www.mmonit.com/monit/changes/

    This release fixes an issue reported in PR 257941

    PR:     258029 257941
    Reported by:    martinp@tildeslash.com (maintainer)

 sysutils/monit/Makefile | 4 ++--
 sysutils/monit/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 7 Fernando Apesteguía freebsd_committer 2021-08-25 07:54:36 UTC
Committed with minor changes.

Thanks!
Comment 8 commit-hook freebsd_committer 2021-09-20 21:33:16 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=497ca938c5ed7eff2cf441a4ffee4843d2345c5b

commit 497ca938c5ed7eff2cf441a4ffee4843d2345c5b
Author:     Martin Pala <martinp@tildeslash.com>
AuthorDate: 2021-08-25 06:51:41 +0000
Commit:     Bryan Drewery <bdrewery@FreeBSD.org>
CommitDate: 2021-09-20 21:32:05 +0000

    sysutils/monit: Update to 5.29.0

    ChangeLog: https://www.mmonit.com/monit/changes/

    This release fixes an issue reported in PR 257941

    PR:     258029 257941
    Reported by:    martinp@tildeslash.com (maintainer)

    (cherry picked from commit 6234479982621235dc99824a812cd9ee11dbbf93)

 sysutils/monit/Makefile | 4 ++--
 sysutils/monit/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)